Subject: Re: Compiling LAM MPI
From: "Gerrit P. Haase" <[email-masked]>
To: Siegmar Gross <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Oct 2004 09:06:42 +0200

Hallo Siegmar,

Am Donnerstag, 7. Oktober 2004 um 08:28 schriebst du:

> Hi,

> I was able to compile and run LAM MPI successfully. I added the code from
> src/newlib/libc/sys/linux/net/inet_ntop.c" from the Cygwin CVS at the end
> of the file
> "lam-7.1.1/share/ssi/boot/slurm/src/ssi_boot_slurm.c". I had
> to make very few changes. You find the modified file in the appendix so that
> you can just append it yourself if you want to compile lam-7.1.1. Thank you
> very much for all comments. They were very helpful and resulted in a hint
> from Mark (lam mailing list) how to solve the problem. I used the following
> command to configure LAM MPI:

>   configure --prefix=/usr/local/lam-7.1.1 --with-exceptions \
> 	--with-purify --with-threads=posix --with-trillium \
> 	--with-rsh="ssh -q" \
> 	--enable-shared --without-romio --without-cs-fs \
> 	|& tee log.configure.Cygwin.x86

> The problem will be solved in lam-7.1.2 (the script will check if inet_ntop
> is available).

I have some replacement functions for inet_ntop & inet_pton which I
found in the kaffe sources, these don't include coyright notices and
compile ok on Cygwin.

BTW, where can I get the sources of lam?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/